# $Revision: 1.9 $, $Date: 2002/07/27 23:02:54 $
Summary:	C compiler for Intel 8051 and Zilog Z80.
Summary(pl):	Kompilator C dla Intel 8051 i Zilog Z80.
Name:		sdcc
Version:	2.3.0
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/sdcc/%{name}-%{version}.tar.gz
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://sdcc.sourceforge.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ucsim

%description
SDCC is retargettable, optimizing ANSI - C compiler. The current
version targets the Intel 8051 and recently the Zilog Z80 based MCUs.
SDCC can be retargeted for other 8 bit MCUs or PICs and some day soon
will be. Supported data types are short (8 bits, 1 byte), char (8
bits, 1 byte) , int (16 bits, 2 bytes ), long (32 bit, 4 bytes) and
float (4 byte IEEE). SDCC also comes with the source level debugger
SDCDB.

%description -l pl
SDCC jest kompilatorem ANSI C. Aktualna wersja wspiera procesory Intel
8051 oraz Zilog Z80. SDCC moe by atwo zmodyfikowany by wspiera
inne 8 bitowe jednostki. Wspierane typy tanych to short (8 bitw, 1
bajt), char (8 bitw, 1 bajt), int (15 bitw, 2 bajty), long (32 bity,
4 bajty) oraz float (4 bajty IEEE). SDCC dostarcza rwnie debugger
pazujcy na emulatorze ucsim.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1

%build
for d in . support/cpp2 packihx sim/ucsim ; do
	( cd $d ; autoconf ; )
done
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp/

%{__make} install \
	"DESTDIR=$RPM_BUILD_ROOT" \
	"docdir=%{_docdir}/%{name}-%{version}" \
	"STRIP=/bin/true"

# some cleanups in mess generated by make install
find $RPM_BUILD_ROOT -name "CVS" -type d | xargs rm -r
mv $RPM_BUILD_ROOT%{_bindir}/*.el $RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/emacs/site-lisp/*.el

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sdcc.spec,v $
Revision 1.9  2002/07/27 23:02:54  kloczek
- cosmetics.

Revision 1.8  2002/07/23 19:31:13  marcus
- use new %%doc
- rel.2.

Revision 1.7  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/01 13:06:43  ankry
- replaced source URL by a working one. It seems that http: URLs in
  sourceforge change too often

Revision 1.3  2001/12/01 11:35:08  jajcus
- spec finished
- Version: 2.3.0

Revision 1.2  2001/03/30 12:43:40  misiek
descriptions and nothing more

Revision 1.1  2001/03/29 23:32:00  agaran
Initial, dont build properly (tested for now only on sparc), no %files section
no %description , no group, translation and in fact that is totally unfinished
